FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Fortran::runtime::DescriptorAddendum Class Reference

## Public Types
enum | Flags { StaticDescriptor = 0x001, ImplicitAllocatable = 0x002, DoNotFinalize = 0x004, Target = 0x008 }

## Public Member Functions
| DescriptorAddendum (const DerivedType *dt=nullptr, std::uint64_t flags=0)
const DerivedType * | derivedType () const
DescriptorAddendum & | set_derivedType (const DerivedType *dt)
std::uint64_t & | flags ()
const std::uint64_t & | flags () const
std::size_t | LenParameters () const
TypeParameterValue | LenParameterValue (int which) const
std::size_t | SizeInBytes () const
void | SetLenParameterValue (int which, TypeParameterValue x)
void | Dump (FILE *=stdout) const

## Static Public Member Functions
static constexpr std::size_t | SizeInBytes (int lenParameters)

The documentation for this class was generated from the following files:

- runtime/descriptor.h
- runtime/descriptor.cpp